V1 and V2Product Families

Link an attribute to a family

POST
/api/v1/product_families/{product_family_id}/attributes/link

Add attributes to an existing product family

  • The attributes that do not belong to the product familly will be added

  • Existing attributes will change their inheritance levels (inheritance ON from level 1 / level 2 or inheritance OFF)

Body

ParameterTypeMandatoryDescription
attributeslistyesList of attribute IDs
attributes_levelstringnoTo indicate whether the attributes will not be inherited ("no_level"), inherited from level 1 ("parent_level") or from level 2 ("variant_level"). Default: "no_level".

A 202 ACCEPTED status code is returned upon success.

The "parent_level" and "variant_level" options are available only when automatic inheritance is active on the account. Contact your account manager for more information.

Authorization

bearerAuth
AuthorizationBearer <token>

Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.

In: header

Path Parameters

product_family_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST 'https://example.com/api/v1/product_families/string/attributes/link' \  -H 'Content-Type: application/json' \  --data-raw '{  "attributes": [    "attribute1_id",    "attribute2_id"  ],  "attributes_level": "parent_level"}'
Empty